package link;

import category.CategoryId;
import tag.TagMatcher;
import user.Username;

import java.util.Set;

public class Link {

	private final LinkId id;
	private final Username creator;
	private final LinkUrl url;
	private final Set<CategoryId> categoryIds;
	private final Set<TagMatcher> tags;

	public Link(LinkId id, Username creator, LinkUrl url, Set<CategoryId> categoryIds, Set<TagMatcher> tags) {
		this.id = id;
		this.creator = creator;
		this.url = url;
		this.categoryIds = categoryIds;
		this.tags = tags;
	}
}
