package tag.matcherImplementations;

import link.LinkUrl;
import tag.Tag;
import tag.TagMatcher;
import tag.TagName;

import java.util.Optional;

public class GitHubTagMatcher implements TagMatcher {

	public TagName getName() {
		return new TagName("github");
	}

	public String getAdditionInfo() {
		return null;
	}

	@Override
	public Optional<Tag> matches(LinkUrl linkUrl) {
		if (linkUrl.getUrl().getHost().equals("github.com")) {
			return Optional.of(new Tag(getName(), getAdditionInfo()));
		}
		return Optional.empty();
	}
}
